#include <SoftwareSerial.h>
#include <OneWire.h>

//const byte rxPin = 2;
//const byte txPin = 1;
char buttonState = '1';
char lastButtonState = '0'; 
SoftwareSerial mySerial (2, 1);

#define ONEWIRE_BUSS 0

OneWire TemperatureSensor(ONEWIRE_BUSS); 
extern uint8_t BigNumbers[];

void setup(void) {
    pinMode(2, INPUT);
    pinMode(1, OUTPUT);
    mySerial.begin(9600);
    pinMode(4, OUTPUT);    
}

void loop(void) {
  //mySerial.println("heelo\n");
  byte i;
  byte data[12];
  int16_t raw;
  int tx;
 
  TemperatureSensor.reset();       // reset one wire buss
  TemperatureSensor.skip();        // select only device
  TemperatureSensor.write(0x44);   // start conversion
 
  delay(1000);                     // wait for the conversion
 
  TemperatureSensor.reset();
  TemperatureSensor.skip();
  TemperatureSensor.write(0xBE);   // Read Scratchpad
  
  for ( i = 0; i < 9; i++) {       // 9 bytes
    data[i] = TemperatureSensor.read();
  }
 
  raw = (data[1] << 8) | data[0];
  tx = (raw -382.6)/ 13.4162;
  mySerial.println(tx);
  //Heater On Off
  buttonState = mySerial.read();   

    if (buttonState != lastButtonState) {  

      if (buttonState == '1') {        
              
        digitalWrite(4, HIGH);    

      }
      else if (buttonState == '0'){     

        digitalWrite(4, LOW);     

      }

      delay(50);
    }

    lastButtonState = buttonState; 
}
