#include <OneWire.h>                
#include <DallasTemperature.h>
#include <SoftwareSerial.h>
 
OneWire ourWire(2);                //Se establece el pin 2  como bus OneWire
 
DallasTemperature sensors(&ourWire); //Se declara una variable u objeto para nuestro sensor
char buttonState = '1';
char lastButtonState = '0'; 
int heaterPin = 13; 

void setup() {
  Serial.begin(9600);
  sensors.begin();   //Se inicia el sensor
  pinMode(heaterPin, OUTPUT);
}
 
void loop() {
  sensors.requestTemperatures();   //Se envía el comando para leer la temperatura
  float temp= sensors.getTempCByIndex(0); //Se obtiene la temperatura en ºC

  //Serial.print("Temperatura= ");
  mySerial.print(temp);
  mySerial.println("°C");
  //On  off heater
  buttonState = Serial.read();   

    if (buttonState != lastButtonState) {  

      if (buttonState == '1') {        
              
        digitalWrite(heaterPin, HIGH);    

      }
      else if (buttonState == '0'){     

        digitalWrite(heaterPin, LOW);     

      }

      delay(50);
    }

    lastButtonState = buttonState;                             
}
